Bug 1129184 - Unable to save to file error occurred when configuring kdump via ssh
Summary: Unable to save to file error occurred when configuring kdump via ssh
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-node
Version: 3.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.5.0
Assignee: Ryan Barry
QA Contact: bugs@ovirt.org
URL:
Whiteboard: node
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-12 09:33 UTC by haiyang,dong
Modified: 2016-02-10 19:39 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:38:15 UTC
oVirt Team: Node


Attachments (Terms of Use)
attached Screenshot for configure kdump via ssh.png (3.43 KB, image/png)
2014-08-12 09:33 UTC, haiyang,dong
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 32648 master MERGED Don't use try to use "ssh" augeas type for kdump Never

Description haiyang,dong 2014-08-12 09:33:42 UTC
Created attachment 925995 [details]
attached Screenshot for configure kdump via ssh.png

Description of problem:
Unable to save to file error occurred when configuring kdump via ssh in TUI and ovirt-node-config tools.
(Seen configure kdump via ssh.png)

[root@localhost admin]# ovirt-node-config r KDump.configure_ssh root@10.66.10.156
Configuring kdump
-----------------
Checking pre-conditions ...
(1/4) Backing up config files
(2/4) Removing set kdump options
(3/4) Creating kdump SSH config

An error occurred while applying the changes:
Unable to save to file!
/usr/lib/python2.6/site-packages/ovirt/node/utils/console.py:110: DeprecationWarning: BaseException.message has been deprecated as of Python 2.6
'<type 'exceptions.IOError'>' on transaction '<Transaction elements='[<BackupKdumpConfig 'Backing up config files'>, <WipeKdumpConfig 'Removing set kdump options'>, <CreateSshKdumpConfig 'Creating kdump SSH config'>, <RestartKdumpService 'Restarting kdump service'>]' title='Configuring kdump' at 0x25b0f50>': Unable to save to file! - Unable to save to file!
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/ovirt/node/utils/console.py", line 103, in __run_transaction
  File "/usr/lib/python2.6/site-packages/ovirt/node/config/defaults.py", line 1173, in commit
  File "/usr/lib/python2.6/site-packages/ovirt/node/config/defaults.py", line 1088, in _set_values
  File "/usr/lib/python2.6/site-packages/ovirt/node/utils/__init__.py", line 68, in set
  File "/usr/lib/python2.6/site-packages/ovirt/node/utils/__init__.py", line 76, in save
  File "/usr/lib/python2.6/site-packages/augeas.py", line 346, in save
IOError: Unable to save to file!
Traceback (most recent call last):
  File "/usr/bin/ovirt-node-config", line 107, in <module>
    wtf(options.module, cls, params, options.cfgfile, options.is_dry)
  File "/usr/bin/ovirt-node-config", line 53, in wtf
    TransactionProgress(tx, is_dry=is_dry).run()
  File "/usr/lib/python2.6/site-packages/ovirt/node/utils/console.py", line 78, in run
  File "/usr/lib/python2.6/site-packages/ovirt/node/utils/console.py", line 103, in __run_transaction
  File "/usr/lib/python2.6/site-packages/ovirt/node/config/defaults.py", line 1173, in commit
  File "/usr/lib/python2.6/site-packages/ovirt/node/config/defaults.py", line 1088, in _set_values
  File "/usr/lib/python2.6/site-packages/ovirt/node/utils/__init__.py", line 68, in set
  File "/usr/lib/python2.6/site-packages/ovirt/node/utils/__init__.py", line 76, in save
  File "/usr/lib/python2.6/site-packages/augeas.py", line 346, in save
IOError: Unable to save to file!


No this issue when configuring kdump via local/nfs/disable


Version-Release number of selected component (if applicable):
http://jenkins.ovirt.org/view/All/job/ovirt-node-iso_master_merged/1376/artifact/exported-artifacts/ovirt-node-base-iso-3.1.0_master-20140812.0.el6.iso
ovirt-node-3.1.0-0.0.master.20140808.git31bb477.el6.noarch

How reproducible:
100%

Steps to Reproduce:


Actual results:


Expected results:


Additional info:

Comment 1 Sandro Bonazzola 2014-10-17 12:38:15 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.